tidy.map {broom} | R Documentation

## Tidy a(n) map object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'map'
    tidy(x, ...)

### Arguments

`x` | A `map` object returned from `maps::map()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### See Also

`tidy()`, `maps::map()`

### Examples

    if (require("maps") && require("ggplot2")) {

        library(maps)
        library(ggplot2)

        ca <- map("county", "ca", plot = FALSE, fill = TRUE)
        tidy(ca)
        qplot(long, lat, data = ca, geom = "polygon", group = group)

        tx <- map("county", "texas", plot = FALSE, fill = TRUE)
        tidy(tx)
        qplot(long, lat, data = tx, geom = "polygon", group = group,
              colour = I("white"))
    }

[Package broom version 0.5.2 Index]